@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css");
.nav-modal{
  display: none;
}
.showed{
  display: block;
}
/* .form-check-input:checked {
  background-color: #111315;
  border-color: gray;
}

.form-switch .form-check-input {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='gray'/%3e%3c/svg%3e");
}
.form-switch .form-check-input:focus {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='gray'/%3e%3c/svg%3e");
} */
.blank{
  animation: blink s steps(1, end) infinite;
}
@keyframes blink {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.5;
  }
  100% {
    opacity: 1;
  }
}
.nav-pills .nav-link.active, .nav-pills .show>.nav-link{
  background: #ff006a !important;
}
.active-nav-btn{
  border-color: #ff006a;
  color: #ff006a !important;
}
.btn-sonic{
  color: white;
  background: #ff006a;
  border-color: #ff006a;
}

.disactive-nav-btn{
  color: #ff006a99;
}
.border-sonic{
  border-top-right-radius: 50px;
  border-top-left-radius: 50px;
  border-top: 1px solid #ff006a;
}
#asaid-nav::-webkit-scrollbar {
    display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
#asaid-nav {
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}
@media (max-width: 570px) {
  .nav-link{
    font-size: 1rem!important;
  }
}
.bg-black{
  background-color: rgb(0 0 0/80%);
}
.btn-outline-pink{
  border-color:#ff006b !important;
  color:#ff006b;
}
.btn-outline-pink:hover{
  background:#ff006b !important;
  color:#FFF !important;
}
.btn-outline-pink:focus,
.btn-outline-pink.focus {
    box-shadow: 0 0 0 .2rem #ff006b7a;
}
.nookar-link{
  color:#ff006b;
}
.table th, .table td {
  vertical-align: middle;
  text-align: center;
}
.table img {
  border-radius: 10px;
}
.table thead th {
  background-color: #f8f9fa;
  font-weight: bold;
}
.table tbody tr:hover {
  background-color: #f1f1f1;
}
.overflow-auto {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  border-radius: 10px;
}
.list-group {
  --bs-list-group-active-bg: #ff006a !important;
  --bs-list-group-active-border-color: #ff006a !important;
}
#loader-wrapper {
  margin: 0px;
  padding:0px;
position: fixed;
width: 100%;
height: 100%;
background-color: #f8f9fa;
display: flex;
justify-content: center;
align-items: center;
z-index: 9999;
}

/* Loader styling */
#loader {
text-align: center;
}

#loader-logo {
width: 250px;
height: auto;
opacity: 1;
animation: fadein 2s linear infinite;
}

/* Spinner styles */
.spinner {
border: 8px solid #f3f3f3;
border-radius: 50%;
border-top: 8px solid #fd4894;
width: 250px;
height: 250px;
display: flex;
justify-content: center;
align-items: center;
animation: spin 2s linear infinite;
}

/* Spinner animation */
@keyframes spin {
0% { transform: rotate(0deg); opacity: 0.9;}
10% { transform: rotate(36deg); opacity: 0.7;}
20% { transform: rotate(72deg); opacity: 0.5;}
30% { transform: rotate(108deg); opacity: 0.4;}
40% { transform: rotate(144deg); opacity: 0.4;}
50% { transform: rotate(180deg); opacity: 0.5;}
60% { transform: rotate(216deg); opacity: 0.6;}
70% { transform: rotate(252deg); opacity: 0.7;}
80% { transform: rotate(288deg); opacity: 0.8;}
90% { transform: rotate(324deg); opacity: 1;}
100% { transform: rotate(360deg); opacity: 1; }
}

/* Logo fade-in animation */
@keyframes fadein {
0% { transform: rotate(360deg); opacity: 1;}
10% { transform: rotate(324deg); opacity: 1;}
20% { transform: rotate(288deg); opacity: 1;}
30% { transform: rotate(252deg); opacity: 0.9;}
40% { transform: rotate(216deg); opacity: 0.9;}
50% { transform: rotate(180deg); opacity: 0.8;}
60% { transform: rotate(144deg); opacity: 0.9;}
70% { transform: rotate(108deg); opacity: 0.9;}
80% { transform: rotate(72deg); opacity: 1;}
90% { transform: rotate(36deg); opacity: 1;}
100% { transform: rotate(0deg); opacity: 1; }
}
